package com.docus.server.entity.recovery;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.RecoveryStateEnum;
import com.docus.server.vo.recovery.rcvbasic.GenderConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 患者信息表
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("rcv_basic")
@ApiModel(value = "RcvBasic对象", description = "患者信息表")
public class RcvBasic implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;





    @ApiModelProperty(value = "病案号")
    @TableField("inpatient_no")
    private String inpatientNo;

    @ApiModelProperty(value = "记账号(省中医住院就诊号)")
    @TableField("jzh")
    private String jzh;

    @ApiModelProperty(value = "住院号")
    @TableField("admiss_id")
    private String admissId;

    @ApiModelProperty(value = "流水号")
    @TableField("serial_number")
    private String serialNumber;

    @ApiModelProperty(value = "住院科室")
    @TableField("admiss_dept")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    @TableField("admiss_dept_name")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    @TableField("dis_date")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    @TableField("dis_dept")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    @TableField("dis_dept_name")
    private String disDeptName;

    @ApiModelProperty(value = "实际住院天数")
    @TableField("admiss_days")
    private Integer admissDays;

    @ApiModelProperty(value = "住院医师")
    @TableField("attending_name")
    private String attendingName;

    @ApiModelProperty(value = "1 现场扫描，2 其他来源")
    @TableField("file_source")
    private Integer fileSource;



    @ApiModelProperty(value = "回收时间")
    @TableField("revovery_time")
    private Date revoveryTime;



    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;



    @ExcelIgnore
    @ApiModelProperty(value = "病案主键")
    private String patientId;
    @ExcelProperty(value = {"住院次数"}, index = 1)
    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ExcelIgnore
    @ApiModelProperty(value = "住院日期")
    private Date admissDate;
    @ExcelIgnore
    @ApiModelProperty(value = "性别")
    private String sex;
    @ExcelIgnore
    @ApiModelProperty(value = "姓名")
    private String name;
    @ExcelProperty(value = {"回收状态"}, index = 7, converter = GenderConverter.class)
    @ApiModelProperty(value = "回收状态 0：待回收 1：已回收")
    private RecoveryStateEnum recoveryState;
    @ExcelIgnore
    @ApiModelProperty(value = "床位号")
    private String bedNumber;
    @ExcelProperty(value = {"责任人"}, index = 9)
    @ApiModelProperty(value = "责任人")
    private String revoveryUser;
    @ExcelIgnore
    @ApiModelProperty(value = "出院天数")
    private String outNum;
}
